%global npm_name json-parse-helpfulerror
%{?nodejs_find_provides_and_requires}

%global enable_tests 0

Name:		nodejs-json-parse-helpfulerror
Version:	1.0.3
Release:	10%{?dist}
Summary:	A drop-in replacement for JSON.parse that uses `jju` to give helpful errors
Url:		https://github.com/smikes/json-parse-helpfulerror
Source0:	https://registry.npmjs.org/%{npm_name}/-/%{npm_name}-%{version}.tgz
License:	MIT

BuildArch:	noarch
%if 0%{?fedora} >= 19
ExclusiveArch: %{nodejs_arches} noarch
%else
ExclusiveArch: %{ix86} x86_64 %{arm} noarch
%endif

BuildRequires:	nodejs-packaging

%if 0%{?enable_tests}
BuildRequires:	npm(code)
BuildRequires:	npm(jslint)
BuildRequires:	npm(lab)
%endif

BuildRequires:	npm(jju)

%description
A drop-in replacement for JSON.parse that uses `jju` to give helpful errors

%prep
%setup -q -n package

%build
#nothing to do

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{npm_name}

cp -pr package.json *.js \
	%{buildroot}%{nodejs_sitelib}/%{npm_name}

%{nodejs_symlink_deps}

%if 0%{?enable_tests}
%check
%{nodejs_symlink_deps} --check
lab -c
%endif

%files
%{nodejs_sitelib}/json-parse-helpfulerror

%doc README.md
%{!?_licensedir:%global license %%doc}
%license LICENSE

%changelog
* Thu Jul 25 2019 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.3-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Fri Feb 01 2019 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.3-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Fri Jul 13 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.3-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Thu Feb 08 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.3-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.3-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.3-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.3-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Tue Jan 05 2016 Zuzana Svetlikova <zsvetlik@redhat.com> - 1.0.3-3
- Remove separate test archive since tests are present in npmjs tarball

* Mon Jan 04 2016 Zuzana Svetlikova <zsvetlik@redhat.com> - 1.0.3-2
- Add tests
- remove unnecessary BuildRequires and Requires

* Tue Nov 24 2015 Zuzana Svetlikova <zsvetlik@redhat.com> - 1.0.3-1
- Initial build
